import { LikeOptions } from "./interface";
import { Feature } from "geojson";
import { MapGeoJSONFeature } from "maplibre-gl";
export declare class LikeProxy {
  /**
   * The feature used with the like proxy.
   * Can be either a normal geojson feature or a MapboxGeoJSONFeature which includes additional information about the layers.
   *
   * If a MapboxGeoJSONFeature is passed in then the layer id will be used in the key likes are stored with. Otherwise 'default' will be used.
   */
  feature: Feature | MapGeoJSONFeature;
  options: LikeOptions;
  constructor(feature: Feature | MapGeoJSONFeature, options?: LikeOptions);
  private getLayerId;
  getClientId(): string;
  isLiked(): boolean;
  like(): void;
  unlike(): void;
  protected makeId(length: number): string;
  protected getLayerKey(layerId: string): string;
  protected getArray(layer: string): number[];
  protected setArray(layer: string, values: number[]): void;
}
